Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.barcode4j
Class BarcodeVerifier

    java.lang.Object
      net.sf.jasperreports.components.barcode4j.BarcodeVerifier

All Implemented Interfaces:
  BarcodeVisitor

    public class BarcodeVerifier

extends java.lang.Object
implements BarcodeVisitor

Version:
  $Id: BarcodeVerifier.java 3505 2010-03-04 14:08:05Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`BarcodeVerifier(JRVerifier verifier)`

Method Summary
`protected void` | `verifyBarcode(BarcodeComponent barcode)`
`protected void` | `verifyChecksumMode(java.lang.String checksumMode, BarcodeComponent barcode)`
`protected void` | `verifyOrientation(BarcodeComponent barcode)`
`protected void` | `verifyTextPosition(BarcodeComponent barcode)`
`void` | `visitCodabar(CodabarComponent codabar)`
`void` | `visitCode128(Code128Component code128)`
`void` | `visitCode39(Code39Component code39)`
`void` | `visitDataMatrix(DataMatrixComponent dataMatrix)`
`void` | `visitEAN13(EAN13Component ean13)`
`void` | `visitEAN8(EAN8Component ean8)`
`void` | `visitEANCode128(EAN128Component ean128)`
`void` | `visitInterleaved2Of5(Interleaved2Of5Component interleaved2Of5)`
`void` | `visitPDF417(PDF417Component pdf417)`
`void` | `visitPostnet(POSTNETComponent postnet)`
`void` | `visitRoyalMailCustomer(RoyalMailCustomerComponent royalMailCustomer)`
`void` | `visitUPCA(UPCAComponent upcA)`
`void` | `visitUPCE(UPCEComponent upcE)`
`void` | `visitUSPSIntelligentMail(USPSIntelligentMailComponent intelligentMail)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BarcodeVerifier

    public BarcodeVerifier(JRVerifier verifier)

Method Detail

### verifyBarcode

    protected void verifyBarcode(BarcodeComponent barcode)

### verifyChecksumMode

    protected void verifyChecksumMode(java.lang.String checksumMode,
                                      BarcodeComponent barcode)

### verifyTextPosition

    protected void verifyTextPosition(BarcodeComponent barcode)

### verifyOrientation

    protected void verifyOrientation(BarcodeComponent barcode)

### visitCodabar

    public void visitCodabar(CodabarComponent codabar)

  Specified by:
    `visitCodabar` in interface `BarcodeVisitor`

### visitCode128

    public void visitCode128(Code128Component code128)

  Specified by:
    `visitCode128` in interface `BarcodeVisitor`

### visitEANCode128

    public void visitEANCode128(EAN128Component ean128)

  Specified by:
    `visitEANCode128` in interface `BarcodeVisitor`

### visitDataMatrix

    public void visitDataMatrix(DataMatrixComponent dataMatrix)

  Specified by:
    `visitDataMatrix` in interface `BarcodeVisitor`

### visitCode39

    public void visitCode39(Code39Component code39)

  Specified by:
    `visitCode39` in interface `BarcodeVisitor`

### visitUPCA

    public void visitUPCA(UPCAComponent upcA)

  Specified by:
    `visitUPCA` in interface `BarcodeVisitor`

### visitUPCE

    public void visitUPCE(UPCEComponent upcE)

  Specified by:
    `visitUPCE` in interface `BarcodeVisitor`

### visitEAN13

    public void visitEAN13(EAN13Component ean13)

  Specified by:
    `visitEAN13` in interface `BarcodeVisitor`

### visitEAN8

    public void visitEAN8(EAN8Component ean8)

  Specified by:
    `visitEAN8` in interface `BarcodeVisitor`

### visitInterleaved2Of5

    public void visitInterleaved2Of5(Interleaved2Of5Component interleaved2Of5)

  Specified by:
    `visitInterleaved2Of5` in interface `BarcodeVisitor`

### visitRoyalMailCustomer

    public void visitRoyalMailCustomer(RoyalMailCustomerComponent royalMailCustomer)

  Specified by:
    `visitRoyalMailCustomer` in interface `BarcodeVisitor`

### visitUSPSIntelligentMail

    public void visitUSPSIntelligentMail(USPSIntelligentMailComponent intelligentMail)

  Specified by:
    `visitUSPSIntelligentMail` in interface `BarcodeVisitor`

### visitPostnet

    public void visitPostnet(POSTNETComponent postnet)

  Specified by:
    `visitPostnet` in interface `BarcodeVisitor`

### visitPDF417

    public void visitPDF417(PDF417Component pdf417)

  Specified by:
    `visitPDF417` in interface `BarcodeVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com